<!--
  Generated template for the MantenimientoPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <img class="logo1" src="img/logo_interna.png">
  </ion-navbar>
</ion-header>


<ion-content>
<ion-card-header class="tienda">
     Mantenimiento
  </ion-card-header>
	<div class="contenido-inventario">
		  <ion-item class="input-inventario">
            <p>Tienda: {{nameStore}}</p>
          </ion-item>

          
          <div class="input-inventario codigo">
            <p>Código:</p>
            <ion-input type="textarea" name="codigo" [(ngModel)]="maintenace.code"></ion-input>

              <button ion-button   (click)="buscarCode(maintenace.code)" class="foto">Buscar </button>
              <!-- <ion-label class="label-inventario"  fixed>Codigo</ion-label>
              <ion-input type="textarea" value=""></ion-input>-->
          </div>

          <ion-item class="input-inventario">
            <p>Campaña: {{campaingsName}}</p>
          </ion-item>
          
        <!--
          <ion-item class="input-inventario">
            <ion-label>Codigo</ion-label>
            <ion-input [(ngModel)]="maintenace.code" type="text"  lineHeight="22"></ion-input>
          </ion-item>
          
          <ion-item class="input-inventario">
            <ion-label>Campaña</ion-label>
            <ion-select id="campania" name="target" [(ngModel)]="maintenace.campaign">
              <ion-option  *ngFor="let items of campaings | keys" value="{{campaings[items]._id}}">{{campaings[items].name}}</ion-option>
            </ion-select>
          </ion-item>-->

           <ion-item class="input-inventario">
            <ion-label>Comentarios</ion-label>
            <ion-textarea [(ngModel)]="maintenace.comment"  placeholder="Escribe...." lineHeight="22"></ion-textarea>
          </ion-item>
     </div>
     <div class="content-foto">
  		<div class="img">
  			<img [src]="imageBefore" *ngIf="imageBefore" />
  			<button ion-button full  (click)="foto1()" class="foto"> <ion-icon class="icono-agregar icono-agregar-plus" name="md-camera"></ion-icon>Antes</button>
  		</div>
  		<div class="img">
  			<img [src]="imageAfter" *ngIf="imageBefore" />
  			<button ion-button full  (click)="foto2()" class="foto"> <ion-icon class="icono-agregar icono-agregar-plus" name="md-camera"></ion-icon> Despues</button>
  		</div>
  	</div>
  	<button ion-button full (click)="enviarMantenimiento()" class="foto maps"> <ion-icon class="check" name="ios-checkmark"></ion-icon>  Enviar </button>

  	
</ion-content>
